Bug 243691 - Wrong init script
Summary: Wrong init script
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Lon Hohberger
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 237789 243692
TreeView+ depends on / blocked
 
Reported: 2007-06-11 13:17 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:03 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0580
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 16:46:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes behavior, pass 1 (1.08 KB, patch)
2007-06-15 21:10 UTC, Lon Hohberger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0580 normal SHIPPED_LIVE rgmanager bug fix and enhancement update 2007-10-30 15:37:24 UTC

Description Michal Marciniszyn 2007-06-11 13:17:43 UTC
Description of problem:
The rgmanager init script returns some incorrect error codes and there are
constructions in the script preventing the status command call. For example:
[ `id -u` = 0 ] || exit 0
[ "${NETWORKING}" = "yes" ] || exit 0
[ -f "$CFG_FILE" ] || exit 0

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.

Comment 1 RHEL Product and Program Management 2007-06-11 13:23:52 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Lon Hohberger 2007-06-15 21:10:48 UTC
Created attachment 157161 [details]
Fixes behavior, pass 1

Comment 7 errata-xmlrpc 2007-11-07 16:46:11 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0580.html



Note You need to log in before you can comment on or make changes to this bug.